dbXML API

## org.xmldb.api.sdk.modules
Class SimpleBinaryResource

    java.lang.Object
      |
      +--org.xmldb.api.sdk.modules.BaseResource
            |
            +--org.xmldb.api.sdk.modules.SimpleBinaryResource

All Implemented Interfaces:
  BinaryResource, Resource

Direct Known Subclasses:
  BinaryResourceImpl

public abstract class SimpleBinaryResource
extends BaseResource
implements BinaryResource

Resource for encapsulation of binary data that is stored in the data base. Support for BinaryResources is optional.

Fields inherited from interface org.xmldb.api.modules.BinaryResource
`RESOURCE_TYPE`

Constructor Summary
`SimpleBinaryResource(Collection parent, java.lang.String id)` Create a new BinaryResource without any content.
`SimpleBinaryResource(Collection parent, java.lang.String id, byte[] content)` Create a fully initialized BinaryResource

Method Summary
`java.lang.Object` `getContent()` Retrieves the content from the resource.
`java.lang.String` `getResourceType()` Returns the resource type for this Resource.
`void` `setContent(java.lang.Object value)` Sets the content for this resource.

Methods inherited from class org.xmldb.api.sdk.modules.BaseResource
`getId, getParentCollection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Resource
`getId, getParentCollection`

Constructor Detail

### SimpleBinaryResource

    public SimpleBinaryResource(Collection parent,
                                java.lang.String id)

  Create a new BinaryResource without any content.

### SimpleBinaryResource

    public SimpleBinaryResource(Collection parent,
                                java.lang.String id,
                                byte[] content)

  Create a fully initialized BinaryResource

Method Detail

### getResourceType

    public java.lang.String getResourceType()
                                     throws XMLDBException

  Returns the resource type for this Resource.
  Specified by:
    `getResourceType` in interface `Resource`
  Returns:
    the resource type for the Resource.

### getContent

    public java.lang.Object getContent()
                                throws XMLDBException

  Retrieves the content from the resource. The type of the content varies depending what type of resource is being used.
  Specified by:
    `getContent` in interface `Resource`
  Returns:
    the content of the resource.

### setContent

    public void setContent(java.lang.Object value)
                    throws XMLDBException

  Sets the content for this resource. The type of content that can be set depends on the type of resource being used.
  Specified by:
    `setContent` in interface `Resource`
  Parameters:
    `value` - the content value to set for the resource.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved